package intrinsic.mx.controls;

public class FileSystemTree extends intrinsic.mx.controls.Tree {

	/** Accessors */
	public intrinsic.Array selectedPaths;
	public intrinsic.flash.filesystem.File directory;
	public intrinsic.Function filterFunction;
	public String enumerationMode;
	public String selectedPath;
	public intrinsic.Array openPaths;
	public intrinsic.Function nameCompareFunction;
	public boolean showHidden;
	public boolean showExtensions;
	public boolean showIcons;
	public intrinsic.Array extensions;

	/** Variables */
	public Object itemIcons;
	public double editorYOffset;
	public double editorWidthOffset;
	public intrinsic.mx.core.IFactory itemEditor;
	public boolean editable;
	public boolean editorUsesEnterKey;
	public String editorDataField;
	public double editorHeightOffset;
	public intrinsic.mx.controls.listClasses.IListItemRenderer itemEditorInstance;
	public boolean rendererIsEditor;
	public double editorXOffset;
	public boolean allowDragSelection;
	public boolean menuSelectionMode;
	public boolean liveScrolling;
	public boolean showScrollTips;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";
	public static final intrinsic.flash.filesystem.File COMPUTER = null;

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public FileSystemTree() {
}


/** Static Methods */

/** Methods */
public native void clear();
public native void styleChanged(String arg0);
public native void openSubdirectory(String arg0);
public native Object getStyle(String arg0);
public native int findIndex(String arg0);
public native void closeSubdirectory(String arg0);
public native intrinsic.flash.filesystem.File findItem(String arg0);
public native void refresh();

}
